package com.template.services;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.evaluate.student.SmartTemplateRule;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 * 平分项管理 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-03-14
 */
public interface SmartTemplateRuleService extends IService<SmartTemplateRule> {

    public int insertSmartTemplateRule(SmartTemplateRule sa);

    public int updateSmartTemplateRule(SmartTemplateRule sa);

    public PageUtils<SmartTemplateRule> queryPageSmartTemplateRule(int currentPage, int pageCount, QueryWrapper<SmartTemplateRule> queryWrapper);

    public int deleteSmartTemplateRuleById(int id);

    public SmartTemplateRule getSmartTemplateRuleById(int id);

    public List<SmartTemplateRule> getSmartTemplateRuleList();

    public List<SmartTemplateRule> getSmartTemplateRuleByKey(QueryWrapper<SmartTemplateRule> queryWrapper);

}
